diff -rupN --no-dereference mingw-w64-v12.0.0/mingw-w64-tools/widl/include/basetsd.h mingw-w64-v12.0.0-new/mingw-w64-tools/widl/include/basetsd.h
--- mingw-w64-v12.0.0/mingw-w64-tools/widl/include/basetsd.h	2024-05-22 09:07:14.000000000 +0200
+++ mingw-w64-v12.0.0-new/mingw-w64-tools/widl/include/basetsd.h	2024-07-16 14:12:12.551825573 +0200
@@ -36,7 +36,7 @@ extern "C" {
  * 64-bit.
  */
 
-#if (defined(__x86_64__) || defined(__powerpc64__) || defined(__aarch64__)) && !defined(_WIN64)
+#if (defined(__x86_64__) || defined(__powerpc64__) || defined(__aarch64__) || defined(__sparc64__) || defined(__ia64__) || defined(__s390x__)) && !defined(_WIN64)
 #define _WIN64
 #endif
 
